Bug 216349 - www/seahub: Updated to 6.0.7
Summary: www/seahub: Updated to 6.0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nikolai Lifanov
URL: https://seacloud.cc/group/3/wiki/serv...
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2017-01-21 17:57 UTC by Ultima
Modified: 2017-01-24 19:38 UTC (History)
2 users (show)

See Also:


Attachments
seahub.diff (8.95 KB, patch)
2017-01-21 17:57 UTC, Ultima
Ultima1252: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ultima 2017-01-21 17:57:56 UTC
Created attachment 179188 [details]
seahub.diff

This is an update to seahub to the most current version, 6.0.7.

* Updated to 6.0.7

 - [fix] Fix generating of password protected link in file view page
 - [fix] Fix .jpg/.JPG image display in IE10
 - Export quota usage in export Excel in user list admin page
 - [fix] Fix admin can't delete broken libraries
 - Add "back to previous page" link in trash page, history page
 - [fix] Improve logo show in About page
 - [fix] Fix file encoding for text file editing online
 - [fix] Don't show operation buttons for broken libraries in normal users page


portlint -AC:
WARN: Makefile: [0]: possible direct use of command "file" found. use ${FILE} instead.
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
0 fatal errors and 2 warnings found.

poudriere bulk -tC:
12amd64: success https://poudriere.ultimasbox.com/data/12amd64-test/2017-01-19_12h42m50s/logs/seahub-6.0.7.log
12i386: success https://poudriere.ultimasbox.com/data/12i386-test/2017-01-19_12h42m52s/logs/seahub-6.0.7.log
110amd64: success https://poudriere.ultimasbox.com/data/110amd64-test/2017-01-19_12h42m48s/logs/seahub-6.0.7.log
110i386: success https://poudriere.ultimasbox.com/data/110i386-test/2017-01-19_12h42m49s/logs/seahub-6.0.7.log
103amd64: success https://poudriere.ultimasbox.com/data/103amd64-test/2017-01-19_12h42m46s/logs/seahub-6.0.7.log
103i386: success https://poudriere.ultimasbox.com/data/103i386-test/2017-01-19_12h42m47s/logs/seahub-6.0.7.log
Comment 1 Nikolai Lifanov freebsd_committer 2017-01-24 19:38:16 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2017-01-24 19:38:39 UTC
A commit references this bug:

Author: lifanov
Date: Tue Jan 24 19:38:03 UTC 2017
New revision: 432378
URL: https://svnweb.freebsd.org/changeset/ports/432378

Log:
  update www/seahub to 6.0.7

  Changes: https://seacloud.cc/group/3/wiki/server-changelog

   - [fix] Fix generating of password protected link in file view page
   - [fix] Fix .jpg/.JPG image display in IE10
   - Export quota usage in export Excel in user list admin page
   - [fix] Fix admin can't delete broken libraries
   - Add "back to previous page" link in trash page, history page
   - [fix] Improve logo show in About page
   - [fix] Fix file encoding for text file editing online
   - [fix] Don't show operation buttons for broken libraries in normal users page

  PR:		216349
  Submitted by:	ultima1252@gmail.com (maintainer)
  Reviewed by:	matthew
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9284

Changes:
  head/www/seahub/Makefile
  head/www/seahub/distinfo
  head/www/seahub/pkg-plist